package com.zanxiang.game.data.serve.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : tianhua
 * @time : 2023-10-09
 * @description : 登陆类型
 */
@Getter
@AllArgsConstructor
public enum LogTypeEnum {

    /**
     * 注册
     */
    LOGIN_REG(0, "注册"),

    /**
     * 登录
     */
    LOGIN_IN(1, "登录"),

    /**
     * 退出
     */
    LOGIN_OUT(2, "退出");

    /**
     * 标识ID
     */
    private Integer id;

    /**
     * 类型
     */
    private String name;

    /**
     * 获取登陆枚举
     * @param logTypeId 登陆类型ID
     * @return LogTypeEnum
     */
    public static LogTypeEnum getLogTypeEnum(Integer logTypeId) {
        for (LogTypeEnum logTypeEnum : LogTypeEnum.values()) {
            if (logTypeEnum.id.equals(logTypeId)) {
                return logTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取登陆类型的名字
     * @param logTypeId 登陆类型id
     * @return String
     */
    public static String getLogTypeName(Integer logTypeId) {
        LogTypeEnum logTypeEnum = LogTypeEnum.getLogTypeEnum(logTypeId);
        return logTypeEnum == null ? null : logTypeEnum.getName();
    }

}
